runbib-missing
Prev | Chapter 15. Tools for bibliographies | Next

## Name

runbib-missing — displays references not found by runbib(1)

## Synopsis

`runbib-missing` [`-b` `basename`]

`runbib-missing` [`-f` `basename.bib.xml`] `basename.id.xml`

`runbib-missing` [`-`]

## Description

runbib(1) may report that it was unable to locate some or all of the references cited in the document, but it will not tell you which ones were missing. runbib-missing collects a list of the ID values which caused these failures and sends them to stdout.

## Options

`-b` `basename`

  The basename, optionally including a path, of your document. runbib-missing assumes that the ID file is called basename.id.xml, and the bibliography file is called basename.bib.xml. This is always the case if you use tools like runbib(1) and refdbnd(1) to create your bibliographies. Using this option is the simplest and recommended way to run the script.

`-f` `basename.bib.xml`

  The relative or full path of the bibliography file created by runbib(1).

`-h`

  Displays help and usage screen, then exits.

`basename.id.xml`

  The relative or full path of the ID file created by runbib(1). Optionally you can pipe the data into stdin instead of specifying the file as a parameter.

## Configuration

runbib-missing does not use any configuration files.

## Example

For the least amount of typing, you should run this script from the directory where your document files are stored. Then the following command will diplay the IDs, if any, of all RefDB citations which were not found in the database during the most recent runbib(1) invocation on your document `thesis.xml`.

          ~$
          runbib-missing -b thesis

## See also

RefDB (7), refdbib (1), refdbnd (1), runbib (1).

RefDB manual (local copy) PREFIX/share/doc/refdb-<version>/refdb-manual/index.html

RefDB manual (web) <http://refdb.sourceforge.net/manual/index.html>

RefDB on the web <http://refdb.sourceforge.net/>

## Author

runbib-missing was written by Markus Hoenicka <markus@mhoenicka.de>.

Prev | Up | Next
runbib | Home | refdbjade